package com.foresee.KnowledgeBase.controller;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.foresee.KnowledgeBase.mapper.CmsUserSearchHistoryMapper;
import com.foresee.KnowledgeBase.pojo.CmsUserSearchHistory;
import com.foresee.KnowledgeBase.service.IUserSearchHistory;

import cn.hutool.core.lang.UUID;
import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

@RestController
@RequestMapping(value="/test")
public class TestController {
	
	@Autowired
	private StringRedisTemplate redisTemplate;
	
	@Autowired
	private IUserSearchHistory userSearchHistoryService;
	
	@GetMapping(value="/sayHello.do")
    public String sayHello(HttpServletRequest request, HttpServletResponse response) {
		/*String value = (String) redisTemplate.opsForValue().get("testRedis");
		if(value==null) {
			redisTemplate.opsForValue().set("testRedis", "success");
		}else {
			redisTemplate.opsForValue().set("testRedis", "clean");
		}*/
		CmsUserSearchHistory cmsUserSearchHistory = new CmsUserSearchHistory();
		cmsUserSearchHistory.setId(UUID.randomUUID().toString().replaceAll("-", ""));
		cmsUserSearchHistory.setSearchText("sayHello");
		cmsUserSearchHistory.setUserId("is me");
		cmsUserSearchHistory.setCreateDate(new Date());
		userSearchHistoryService.insert(cmsUserSearchHistory);
    	return "hello ";
    }
	
	@PostMapping(value="/sayHello2.do")
    public String sayHello2(HttpServletRequest request, HttpServletResponse response) {
    	return "hello";
    }
}
